> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /pubmed/articles/search

> Search PubMed biomedical articles by query and filters

**Price:** 10 credits per 10 results



## OpenAPI

````yaml /openapi/research-papers.json post /api/pubmed/articles/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/pubmed/articles/search:
    post:
      tags:
        - /pubmed
      summary: /pubmed/articles/search
      description: |-
        Search PubMed biomedical articles by query and filters

        **Price:** 10 credits per 10 results
      operationId: __api_pubmed_articles_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PubmedArticlesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PubmedArticle'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PubmedArticlesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        term:
          anyOf:
            - type: string
            - type: 'null'
        count:
          type: integer
          maximum: 9999
          minimum: 1
        author:
          anyOf:
            - type: string
            - type: 'null'
        journal:
          anyOf:
            - type: string
            - type: 'null'
        affiliation:
          anyOf:
            - type: string
            - type: 'null'
        article_title:
          anyOf:
            - type: string
            - type: 'null'
        mesh_term:
          anyOf:
            - type: string
            - type: 'null'
        article_types:
          anyOf:
            - items:
                $ref: '#/components/schemas/PubmedArticleType'
              type: array
            - type: 'null'
        languages:
          anyOf:
            - items:
                $ref: '#/components/schemas/PubmedLanguage'
              type: array
            - type: 'null'
        species:
          anyOf:
            - items:
                $ref: '#/components/schemas/PubmedSpecies'
              type: array
            - type: 'null'
        sex:
          anyOf:
            - items:
                $ref: '#/components/schemas/PubmedSex'
              type: array
            - type: 'null'
        age_groups:
          anyOf:
            - items:
                $ref: '#/components/schemas/PubmedAgeGroup'
              type: array
            - type: 'null'
        text_availability:
          anyOf:
            - items:
                $ref: '#/components/schemas/PubmedTextAvailability'
              type: array
            - type: 'null'
        has_associated_data:
          type: boolean
          default: false
        journal_subset:
          anyOf:
            - items:
                $ref: '#/components/schemas/PubmedJournalSubset'
              type: array
            - type: 'null'
        sort:
          $ref: '#/components/schemas/PubmedSort'
          default: relevance
        mindate:
          anyOf:
            - type: string
            - type: 'null'
        maxdate:
          anyOf:
            - type: string
            - type: 'null'
        datetype:
          $ref: '#/components/schemas/PubmedDateType'
          default: pdat
      type: object
      required:
        - count
    PubmedArticle:
      properties:
        '@type':
          type: string
          default: PubmedArticle
        pmid:
          type: string
        doi:
          anyOf:
            - type: string
            - type: 'null'
        pmcid:
          anyOf:
            - type: string
            - type: 'null'
        pii:
          anyOf:
            - type: string
            - type: 'null'
        vernacular_title:
          anyOf:
            - type: string
            - type: 'null'
        abstract:
          anyOf:
            - type: string
            - type: 'null'
        author_string:
          anyOf:
            - type: string
            - type: 'null'
        last_author:
          anyOf:
            - type: string
            - type: 'null'
        authors:
          items:
            $ref: '#/components/schemas/PubmedAuthor'
          type: array
          default: []
        journal:
          anyOf:
            - $ref: '#/components/schemas/PubmedJournal'
            - type: 'null'
        pub_year:
          anyOf:
            - type: integer
            - type: 'null'
        pub_date:
          anyOf:
            - type: string
            - type: 'null'
        epub_date:
          anyOf:
            - type: string
            - type: 'null'
        language:
          anyOf:
            - type: string
            - type: 'null'
        pub_model:
          anyOf:
            - type: string
            - type: 'null'
        publication_status:
          anyOf:
            - type: string
            - type: 'null'
        pub_types:
          items:
            type: string
          type: array
          default: []
        keywords:
          items:
            type: string
          type: array
          default: []
        mesh_headings:
          items:
            $ref: '#/components/schemas/PubmedMeshHeading'
          type: array
          default: []
        chemicals:
          items:
            $ref: '#/components/schemas/PubmedChemical'
          type: array
          default: []
        grants:
          items:
            $ref: '#/components/schemas/PubmedGrant'
          type: array
          default: []
        data_banks:
          items:
            $ref: '#/components/schemas/PubmedDataBank'
          type: array
          default: []
        coi_statement:
          anyOf:
            - type: string
            - type: 'null'
        citation_subset:
          anyOf:
            - type: string
            - type: 'null'
        history:
          items:
            $ref: '#/components/schemas/PubmedHistoryEvent'
          type: array
          default: []
        date_completed:
          anyOf:
            - type: string
            - type: 'null'
        date_revised:
          anyOf:
            - type: string
            - type: 'null'
        record_status:
          anyOf:
            - type: string
            - type: 'null'
        pmc_ref_count:
          type: integer
          default: 0
        web_url:
          type: string
          default: ''
      type: object
      required:
        - pmid
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    PubmedArticleType:
      type: string
      enum:
        - adaptive_clinical_trial
        - address
        - autobiography
        - bibliography
        - biography
        - case_reports
        - clinical_conference
        - clinical_study
        - clinical_trial
        - clinical_trial_protocol
        - clinical_trial_phase_1
        - clinical_trial_phase_2
        - clinical_trial_phase_3
        - clinical_trial_phase_4
        - clinical_trial_veterinary
        - comment
        - comparative_study
        - congress
        - consensus_development_conference_nih
        - controlled_clinical_trial
        - corrected_and_republished_article
        - dataset
        - dictionary
        - directory
        - duplicate_publication
        - editorial
        - electronic_supplementary_materials
        - english_abstract
        - equivalence_trial
        - evaluation_study
        - expression_of_concern
        - festschrift
        - government_publication
        - guideline
        - historical_article
        - interview
        - introductory_journal_article
        - journal_article
        - lecture
        - legal_case
        - legislation
        - letter
        - meta_analysis
        - multicenter_study
        - news
        - newspaper_article
        - observational_study
        - observational_study_veterinary
        - overall
        - patient_education_handout
        - personal_narrative
        - portrait
        - practice_guideline
        - pragmatic_clinical_trial
        - preprint
        - published_erratum
        - randomized_controlled_trial
        - randomized_controlled_trial_veterinary
        - retracted_publication
        - review
        - systematic_review
        - technical_report
        - twin_study
        - validation_study
        - video_audio_media
    PubmedLanguage:
      type: string
      enum:
        - english
        - french
        - german
        - spanish
        - italian
        - japanese
        - chinese
        - russian
        - portuguese
        - polish
        - dutch
        - swedish
        - danish
        - norwegian
        - finnish
        - czech
        - hungarian
        - turkish
        - korean
        - arabic
        - hebrew
        - greek
        - romanian
        - croatian
        - serbian
        - slovak
        - bulgarian
        - ukrainian
        - persian
        - hindi
        - latin
        - catalan
        - slovenian
        - lithuanian
        - afrikaans
        - icelandic
        - vietnamese
        - thai
        - indonesian
        - malay
    PubmedSpecies:
      type: string
      enum:
        - humans
        - other_animals
    PubmedSex:
      type: string
      enum:
        - male
        - female
    PubmedAgeGroup:
      type: string
      enum:
        - newborn
        - infant
        - preschool_child
        - child
        - adolescent
        - adult
        - young_adult
        - middle_aged
        - aged
        - aged_80_and_over
    PubmedTextAvailability:
      type: string
      enum:
        - abstract
        - free_full_text
        - full_text
    PubmedJournalSubset:
      type: string
      enum:
        - medline
        - pmc
    PubmedSort:
      type: string
      enum:
        - relevance
        - pub_date
        - Author
        - JournalName
        - Title
    PubmedDateType:
      type: string
      enum:
        - pdat
        - edat
        - mdat
    PubmedAuthor:
      properties:
        '@type':
          type: string
          default: PubmedAuthor
        full_name:
          anyOf:
            - type: string
            - type: 'null'
        last_name:
          anyOf:
            - type: string
            - type: 'null'
        first_name:
          anyOf:
            - type: string
            - type: 'null'
        initials:
          anyOf:
            - type: string
            - type: 'null'
        orcid:
          anyOf:
            - type: string
            - type: 'null'
        affiliation:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    PubmedJournal:
      properties:
        '@type':
          type: string
          default: PubmedJournal
        iso_abbreviation:
          anyOf:
            - type: string
            - type: 'null'
        medline_abbreviation:
          anyOf:
            - type: string
            - type: 'null'
        nlmid:
          anyOf:
            - type: string
            - type: 'null'
        issn:
          anyOf:
            - type: string
            - type: 'null'
        essn:
          anyOf:
            - type: string
            - type: 'null'
        issn_linking:
          anyOf:
            - type: string
            - type: 'null'
        volume:
          anyOf:
            - type: string
            - type: 'null'
        issue:
          anyOf:
            - type: string
            - type: 'null'
        pages:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        pub_date:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    PubmedMeshHeading:
      properties:
        '@type':
          type: string
          default: PubmedMeshHeading
        descriptor_name:
          type: string
        descriptor_ui:
          anyOf:
            - type: string
            - type: 'null'
        is_major_topic:
          type: boolean
          default: false
        qualifiers:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - descriptor_name
    PubmedChemical:
      properties:
        '@type':
          type: string
          default: PubmedChemical
        name:
          type: string
        registry_number:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    PubmedGrant:
      properties:
        '@type':
          type: string
          default: PubmedGrant
        grant_id:
          anyOf:
            - type: string
            - type: 'null'
        agency:
          anyOf:
            - type: string
            - type: 'null'
        acronym:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    PubmedDataBank:
      properties:
        '@type':
          type: string
          default: PubmedDataBank
        name:
          type: string
        accession:
          type: string
      type: object
      required:
        - name
        - accession
    PubmedHistoryEvent:
      properties:
        '@type':
          type: string
          default: PubmedHistoryEvent
        status:
          type: string
        date:
          type: string
      type: object
      required:
        - status
        - date
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````